/*
    WatchMan - Process killer daemon
    Copyright (C) 2002  by _Leo_

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*==== Configure ====*/
/* Your proc directory with trailing '/', usually: /proc/ */
#define WM_PROC "/proc/"

/* Max filename lenght */
#define WM_MAXFILENAME 256

/* Max line lenght, usually 1024 */
#define WM_MAXLINE 1024 

/* Kill signal, usually: 9 */
#define WM_KSIGNAL 9 

/* Config file location */
#define WM_CONFFILE "/usr/local/share/watchman.conf"
/*===================*/

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <dirent.h>
#include <signal.h>
#include <string.h>

#include "conf.h"
#include "strutil.h"

/*=== Functions ===*/

void usage(void);
void scan(const char *dir, struct dirent ***namelist, int *entries);
int matchint(const struct dirent *dir);
int getinfo(char *dir, char *strexe);
